Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229334 - ips driver causes complete system lockup?
Summary: ips driver causes complete system lockup?
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 13:12 UTC by Petter Reinholdtsen
Modified: 2018-11-28 20:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 13:26:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petter Reinholdtsen 2007-02-20 13:12:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Petter Reinholdtsen 2007-02-20 13:13:48 UTC
Doh, the bug was created prematurely.  here is more info.

One of our production Oracle servers got stuck on sunday.  The machine
did no longer respond to ping requests, and was completely hung.  The
last message on the serial console was

  ips 0000:08:02.0: Resetting controller.

Searching on google, I find a message[1] claiming a patch in the ips
driver from january 2006 will make the ips driver fail, hanging the
machine.  Is this a known problem?  Are there any workarounds we can
apply to avoid this happening again?

 1 http://www.thisishull.net/showthread.php?t=211796
 2 http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-
2.6.git;a=commit;h=15084a4a63bc300c18b28a8a9afac870c552abce



Comment 2 Jason Baron 2007-03-02 20:54:49 UTC
what kernel version are you running?

Comment 3 Jason Baron 2007-03-02 20:58:36 UTC
Also, do you have a similar traceback as reported in [1]?

Comment 4 Petter Reinholdtsen 2007-03-05 16:33:59 UTC
The machine (tommy.uio.no) was running kernel 2.6.9-42.0.3.ELsmp (i686)
when it hung.  I do not have a traceback from the crash. :(

Comment 5 Jiri Pallich 2012-06-20 13:26:28 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.